Skip to Content
SeyloDocs

Delete files

POST
/api/v1/files.delete

Deletes files and folders (folders recursively) from a service volume. This cannot be undone.

Needs files.write on the service (a grant on its project covers it). Available to MCP clients and the assistant, after a person approves the call.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
volume*string
Length1 <= length <= 64
nodeId?string

Panel-issued id.

Match^[a-z0-9]{16}$
paths*array<>
Items1 <= items <= 1000

Response Body

Success.

application/json
  1. response
Example Request
curl -X POST 'https://example.com/api/v1/files.delete' \  -H 'Content-Type: application/json' \  -d '{  "serviceId": "string",  "volume": "string",  "paths": [    "string"  ]}'
Example Response
{}